# Uses of Class
com.logicaldoc.core.metadata.AttributeSet

Packages that use AttributeSet
Package
Description
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

## Uses of AttributeSet in com.logicaldoc.core.metadata

Methods in com.logicaldoc.core.metadata that return AttributeSet
Modifier and Type
Method
Description
`AttributeSet`
AttributeSetDAO.`findByName(String name, long tenantId)`
This method finds a attribute set by name
`AttributeSet`
HibernateAttributeSetDAO.`findByName(String name, long tenantId)`
Methods in com.logicaldoc.core.metadata that return types with arguments of type AttributeSet
Modifier and Type
Method
Description
`List<AttributeSet>`
HibernateAttributeSetDAO.`findAll()`
`List<AttributeSet>`
HibernateAttributeSetDAO.`findAll(long tenantId)`
`List<AttributeSet>`
AttributeSetDAO.`findByType(int type, long tenantId)`
This method finds a attribute set by type
`List<AttributeSet>`
HibernateAttributeSetDAO.`findByType(int type, long tenantId)`
`Map<Long,AttributeSet>`
AttributeSetDAO.`load(long tenantId)`
Retrieves all the attribute sets in a tenant
`Map<Long,AttributeSet>`
HibernateAttributeSetDAO.`load(long tenantId)`
Methods in com.logicaldoc.core.metadata with parameters of type AttributeSet
Modifier and Type
Method
Description
`void`
HibernateAttributeSetDAO.`initialize(AttributeSet attributeSet)`
`void`
HibernateAttributeSetDAO.`store(AttributeSet set)`